Get the yielded key

- « Generator::getReturn

- Generator::next »

- PHP Manual
- Generator
- Get the yielded key

# Generator::key

(PHP 5 >= 5.5.0, PHP 7, PHP 8)

Generator::key — Get the yielded key

### Description

public Generator::key(): mixed

Gets the key of the yielded value.

### Parameters

This function has no parameters.

### Return Values

Returns the yielded key.

### Examples

Example #1 Generator::key() example

    <?phpfunction Gen(){    yield 'key' => 'value';}$gen = Gen();echo "{$gen->key()} => {$gen->current()}";

The above example will output:

    key => value